between {dplyr} | R Documentation

## Do values in a numeric vector fall in specified range?

### Description

This is a shortcut for `x >= left & x <= right`, implemented efficiently in C++ for local values, and translated to the appropriate SQL for remote tables.

### Usage

    between(x, left, right)

### Arguments

`x` | A numeric vector of values
`left, right` | Boundary values

### Examples

    between(1:12, 7, 9)

    x <- rnorm(1e2)
    x[between(x, -1, 1)]

[Package dplyr version 0.8.0.1 Index]